# Generated from perf2pprof-1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name perf2pprof

Name: rubygem-%{gem_name}
Version: 1.0
Release: 1%{?dist}
Summary: perf2pprof is adaptor from perf profiles to pprof tool
License: public domain
URL: https://github.com/alk/perf2pprof
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
perf2pprof converts perf record output to gperftools CPU profile
format for analysis and visualization using excellent pprof tool.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/./ -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/perf2pprof
%{gem_instdir}/.
%license %{gem_instdir}/COPYING
%{gem_instdir}/perf2pprof
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README

%changelog
* Tue Sep 14 2021 mockbuilder - 1.0-1
- Initial package
